AOWP_PHPIfStatementElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPIfStatementElement
/parser/ast/PHPIfStatementElement.class.php at line 19

# Class AOWP_PHPIfStatementElement

    AOWP_PHPElement
        └─AOWP_PHPIfStatementElement

public class AOWP_PHPIfStatementElement
extends AOWP_PHPElement

PHPIfStatementElement PHPのASTにおける「if」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
AOWP_PHPElement | $condition {@link AOWP_PHPObjectOperatorElement}等 (要調査)。
AOWP_PHPInnerStatementElement | $elseStatements
AOWP_PHPElseIfStatementElement | $elseifStatements
AOWP_PHPInnerStatementElement | $innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPIfStatementElement(mixed _line, mixed condition, mixed innerStatements, mixed elseifStatements, mixed elseStatements)

Method Summary
void | __toString()
void | addElseStatement(mixed element)
void | addElseStatementArray(mixed elements)
void | addStatement(mixed element, $element ) $elementは、PHPの文章となりうる、Statement系のASTインスタンス。
void | addStatementArray(mixed elements)
void | kind()
void | setCondition(mixed condition)
void | setIfStatements(mixed ifStatements)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPIfStatementElement.class.php at line 25

### condition

`public AOWP_PHPElement $condition`

`AOWP_PHPObjectOperatorElement`等 (要調査)。

/parser/ast/PHPIfStatementElement.class.php at line 40

### elseStatements

`public AOWP_PHPInnerStatementElement $elseStatements`

/parser/ast/PHPIfStatementElement.class.php at line 35

### elseifStatements

`public AOWP_PHPElseIfStatementElement $elseifStatements`

/parser/ast/PHPIfStatementElement.class.php at line 30

### innerStatements

`public AOWP_PHPInnerStatementElement $innerStatements`

## Constructor Detail

/parser/ast/PHPIfStatementElement.class.php at line 42

### AOWP_PHPIfStatementElement

`public AOWP_PHPIfStatementElement(mixed _line, mixed condition, mixed innerStatements, mixed elseifStatements, mixed elseStatements)`

## Method Detail

/parser/ast/PHPIfStatementElement.class.php at line 92

### __toString

`public void __toString()`

/parser/ast/PHPIfStatementElement.class.php at line 78

### addElseStatement

`public void addElseStatement(mixed element)`

/parser/ast/PHPIfStatementElement.class.php at line 85

### addElseStatementArray

`public void addElseStatementArray(mixed elements)`

/parser/ast/PHPIfStatementElement.class.php at line 64

### addStatement

`public void addStatement(mixed element, $element )`

$elementは、PHPの文章となりうる、Statement系のASTインスタンス。

/parser/ast/PHPIfStatementElement.class.php at line 71

### addStatementArray

`public void addStatementArray(mixed elements)`

/parser/ast/PHPIfStatementElement.class.php at line 96

### kind

`public void kind()`

/parser/ast/PHPIfStatementElement.class.php at line 54

### setCondition

`public void setCondition(mixed condition)`

/parser/ast/PHPIfStatementElement.class.php at line 50

### setIfStatements

`public void setIfStatements(mixed ifStatements)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr